test::FeatSerial Interface Reference

test routines for Raritan Feature Serial interface (RS232 with some control lines and switched power) Require TestMode to be ON. More...

`import"testrpc.idl";`

## Public Member Functions

int | getNumberOfPorts (out int numPorts)
| returns number of ports More...
int | setPower (in int portNum, in boolean hasPower)
| Switches Power supplied to the port Observable with special test adapter Power->LED. More...
int | testLoopTxRx (in int portNum, out string errstr)
| Performs a loop test with special test adapter TX->RX. More...
int | testLoopDtrDcd (in int portNum, out string errstr)
| Performs a loop test with special test adapter DTR->DCD. More...

## Public Attributes

constant int | OK = 0
| No error.
constant int | ERR_NO_TEST_MODE = 1
| Not in test mode.
constant int | ERR_INVAL_PORT_NUM = 2
| Invalid port number.
constant int | ERR_TEST_FAILED = 3
| Test failed.

## Detailed Description

test routines for Raritan Feature Serial interface (RS232 with some control lines and switched power) Require TestMode to be ON.

## Member Function Documentation

## getNumberOfPorts()

int test::FeatSerial::getNumberOfPorts | ( | out int | numPorts | ) |

returns number of ports

Returns
  0 if OK
  1 if not in test mode

## setPower()

int test::FeatSerial::setPower | ( | in int | portNum,
|  | in boolean | hasPower
| ) |  |

Switches Power supplied to the port Observable with special test adapter Power->LED.

Returns
  OK if OK
  ERR_NO_TEST_MODE if not in test mode
  ERR_INVAL_PORT_NUM if invalid port number

## testLoopDtrDcd()

int test::FeatSerial::testLoopDtrDcd | ( | in int | portNum,
|  | out string | errstr
| ) |  |

Performs a loop test with special test adapter DTR->DCD.

Returns
  OK if OK
  ERR_NO_TEST_MODE if not in test mode
  ERR_INVAL_PORT_NUM if invalid port number
  ERR_TEST_FAILED if test failed, errstr may be set

## testLoopTxRx()

int test::FeatSerial::testLoopTxRx | ( | in int | portNum,
|  | out string | errstr
| ) |  |

Performs a loop test with special test adapter TX->RX.

Returns
  OK if OK
  ERR_NO_TEST_MODE if not in test mode
  ERR_INVAL_PORT_NUM if invalid port number
  ERR_TEST_FAILED if test failed, errstr may be set

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/testrpc.idl